
QGIS Application - Bug report #21661

Luzon 1911 /UTM Zone 50,51 and 52N  and PRS92 / UTM Zone 50,51and 52N projections  parameters 

are not correct

2019-03-24 11:43 AM - Alvin Laurio

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 29477

Description

The EPSG:102453, 102454, 102455, 102456,102457 and 102458 does not fall on the correct position and the values of X and Y

coordinates are not equal to the coordinates calculated by other GIS software or geographic calculators.

Please see attached file of the custom projections for the above projections.

Thank you.

History

#1 - 2019-03-24 05:15 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Easy fix? changed from Yes to No

CRSs codes in the range of the hundreds of thousands are not EPSG (as far as I know and as I can see, you can't find them in both QGIS or

spatialreference.org), are ESRIs, and if it happens as for other countries (Portugal for example) these CRSs miss the necessary parameters for

precise/better reprojections. You must look for the equivalent EPSG codes.

#2 - 2019-03-26 07:20 AM - Alvin Laurio

Giovanni Manghi wrote:

CRSs codes in the range of the hundreds of thousands are not EPSG (as far as I know and as I can see, you can't find them in both QGIS or

spatialreference.org), are ESRIs, and if it happens as for other countries (Portugal for example) these CRSs miss the necessary parameters for

precise/better reprojections. You must look for the equivalent EPSG codes.

The EPSG codes (102453, 102454, 102455, 102456,102457 and 102458) embedded in QGIS 3.6 CRS of the world cannot be found in

spatialreference.org. For the meantime I will use the customized projection. I am just concerned about the users who are not aware of the error.

#3 - 2019-03-26 03:31 PM - Giovanni Manghi

The EPSG codes (102453, 102454, 102455, 102456,102457 and 102458) embedded in QGIS 3.6 CRS of the world cannot be found in

spatialreference.org. For the meantime I will use the customized projection. I am just concerned about the users who are not aware of the error.
CRSs that have codes in the range of 102xxx are usually originally from ESRI and they lack the towgs84 parameters that make the transformations more

precise. This is not anyway a QGIS issue, I think (not 100% anyway).

#4 - 2019-03-26 10:13 PM - Ben Hur Pintor

Alvin Laurio wrote:

The EPSG:102453, 102454, 102455, 102456,102457 and 102458 does not fall on the correct position and the values of X and Y coordinates are

not equal to the coordinates calculated by other GIS software or geographic calculators.

Please see attached file of the custom projections for the above projections.

Thank you.

Hi Alvin, thanks for pointing this out. I rarely use those CRS so I never noticed the issue. I'll keep this in mind from now on and share it with others. Also,

may I know where you got the projection parameters from?

Giovanni Manghi wrote:

CRSs that have codes in the range of 102xxx are usually originally from ESRI and they lack the towgs84 parameters that make the transformations

more precise. This is not anyway a QGIS issue, I think (not 100% anyway).

If there's a way to make the CRS in QGIS use the correct projection parameters by default (aside from creating new custom projections), I'd be glad to

help.

#5 - 2019-03-28 06:46 AM - Alvin Laurio

- File Projection.pdf added

Ben Hur Pintor wrote:

Alvin Laurio wrote:

The EPSG:102453, 102454, 102455, 102456,102457 and 102458 does not fall on the correct position and the values of X and Y coordinates are

not equal to the coordinates calculated by other GIS software or geographic calculators.

Please see attached file of the custom projections for the above projections.

Thank you.

Hi Alvin, thanks for pointing this out. I rarely use those CRS so I never noticed the issue. I'll keep this in mind from now on and share it with others.

Also, may I know where you got the projection parameters from?

Giovanni Manghi wrote:

CRSs that have codes in the range of 102xxx are usually originally from ESRI and they lack the towgs84 parameters that make the transformations

more precise. This is not anyway a QGIS issue, I think (not 100% anyway).

If there's a way to make the CRS in QGIS use the correct projection parameters by default (aside from creating new custom projections), I'd be glad
to help.

@Giovanni, Thank you for desire to help in making these CRS in QGIS permanent/embedded.

@Ben Hur, The parameters for PRS92 are already in QGIS it was just a matter of composing the syntax in Proj4 format. The only difference with the

officially published by NAMRIA (PRS92  7 parameters) is that it has only two decimal places. The result was compared using GeoCalc, Manifold and

GlobalMapper's Coordinate converter.

#6 - 2019-03-28 01:41 PM - Giovanni Manghi

@Giovanni, Thank you for desire to help in making these CRS in QGIS permanent/embedded.

they are already in QGIS, and they have the proper towgs84 parameters.

#7 - 2019-03-28 01:45 PM - Giovanni Manghi

Giovanni Manghi wrote:

@Giovanni, Thank you for desire to help in making these CRS in QGIS permanent/embedded.

they are already in QGIS, and they have the proper towgs84 parameters.

sorry, I meant they don't have the parameters

#8 - 2019-04-08 07:26 AM - Alvin Laurio

Giovanni Manghi wrote:

Giovanni Manghi wrote:

@Giovanni, Thank you for desire to help in making these CRS in QGIS permanent/embedded.

they are already in QGIS, and they have the proper towgs84 parameters.

sorry, I meant they don't have the parameters

@Giovanni

May I know the update for this?

#9 - 2019-04-08 11:10 AM - Giovanni Manghi

Alvin Laurio wrote:

Giovanni Manghi wrote:
Giovanni Manghi wrote:

@Giovanni, Thank you for desire to help in making these CRS in QGIS permanent/embedded.

they are already in QGIS, and they have the proper towgs84 parameters.

sorry, I meant they don't have the parameters

@Giovanni

May I know the update for this?

I think this is a change that needs to happen upstream (in the epsg database) not in qgis.

#10 - 2019-05-24 08:04 AM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Feedback to Closed

With QGIS 3.8 and the release of proj 6 library, any remaining projection definition related issues now should be filed with the proj project.

Files

Projection_UTM.txt 641 Bytes 2019-03-24 Alvin Laurio

Projection.pdf 241 KB 2019-03-28 Alvin Laurio
